Name:           goxel
Version:        0.6.0
Release:        %mkrel 1
Summary:        3D voxel graphics editor
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://github.com/guillaumechereau/goxel
Source0:        https://github.com/guillaumechereau/goxel/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        cube.png
Patch0:         goxel-0.3.0-mga-build-flags.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glfw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  scons

%description
Goxel is an open source voxel graphics editor. Voxels are 3D images formed
of cubic elements). Main features:
- 24 bits RGB colors.
- Unlimited scene size and undo buffer.
- Multiple layers.
- Marching cube and procedural rendering.
- Export to obj, pyl, png, magica voxel, qubicle.

%prep
%autosetup -p1

%build
%setup_compile_flags
%scons debug=0

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}

install -D -m644 %{_sourcedir}/cube.png %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Goxel
GenericName=Voxel graphics editor
Comment=3D voxel graphics editor
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Graphics;VectorGraphics;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Tue May 02 2017 akien <akien> 0.6.0-1.mga6
+ Revision: 1098227
- Version 0.6.0

* Sun Mar 19 2017 akien <akien> 0.5.0-2.mga6
+ Revision: 1093639
- Fix invalid desktop file

* Sat Mar 11 2017 akien <akien> 0.5.0-1.mga6
+ Revision: 1091877
- Version 0.5.0

* Fri Feb 10 2017 akien <akien> 0.4.0-1.mga6
+ Revision: 1085578
- Version 0.4.0

* Tue Aug 09 2016 akien <akien> 0.3.0-1.mga6
+ Revision: 1045050
- imported package goxel

